Name:          python-toml
Version:       0.10.2
Release:       5mamba
Summary:       A Python library for parsing and creating TOML
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/toml/
Source:        https://pypi.debian.net/toml/toml-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n toml-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/toml-%{version}-py*.egg-info
%{python_sitearch}/toml-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Wed Sep 27 2023 Automatic Build System <autodist@mambasoft.it> 0.10.2-5mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Mon Jul 31 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-4mamba
- rebuilt to fix wrong requirements for python 3.9

* Thu Apr 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-3mamba
- rebuilt with python 3.10

* Wed Mar 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.2-2mamba
- rebuilt with distdeps

* Sun Nov 01 2020 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic version update by autodist

* Fri May 15 2020 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Fri Apr 10 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.0-1mamba
- package created using the webbuild interface
